// import {statics} from '../statics.js';
import {
	fail
} from 'assert';
import {
	mapState
} from 'vuex';
export const common = {
	data() {
		return {
			// statics:statics
		}
	},
	computed: {
		...mapState({
			memberToken: state => state.member.mToken,
			memberInfo: state => state.member.member,
			parentId: state => state.member.parentId, //父推广员ID

			location: state => state.location.location,
			cityId: state => state.location.cityId,
			cityName: state => state.location.cityName,

			domain: state => state.data.domain,
			preLogin: state => state.data.preLogin,
			banner: state => state.data.banner,
			viptell: state => state.data.viptell,
			promTab: state => state.data.promTab,
			vipTab: state => state.data.vipTab,
			utilityTab: state => state.data.utilityTab,
			pTab: state => state.data.pTab,
			carCity: state => state.data.carCity,
			cityCode: state => state.data.cityCode,
			cardImg: state => state.data.cardImg,
			hopeList: state => state.data.hopeList,
			achieveList: state => state.data.achieveList,
			emotionList: state => state.data.emotionList,
			emotionTotal: state => state.data.emotionTotal,
			fuzhi: state => state.data.fuzhi,
			weatherNow: state => state.data.weatherNow,
			mainHome: state => state.data.mainHome,
			colorObj: state => state.data.colorObj,
			btnRecIndex: state => state.data.btnRecIndex,
			toolList: state => state.data.toolList,
			colorShareTitle: state => state.data.colorShareTitle,
			colorShareNote: state => state.data.colorShareNote,
			colorShareSetting: state => state.data.colorShareSetting,
			netState: state => state.data.netState,
			picObj: state => state.data.picObj,
			topMsg: state => state.data.topMsg,
			adCustom: state => state.data.adCustom,
			familyList: state => state.data.familyList,
			kefuList: state => state.data.kefuList,
			wxTitle: state => state.data.wxTitle,
			vipTitle: state => state.data.vipTitle,
			vipIntro: state => state.data.vipIntro,
			clCalendar: state => state.data.clCalendar,
			fileDetail: state => state.data.fileDetail,
			hday: state => state.data.hday,


			upList: state => state.cloth.upList,
			downList: state => state.cloth.downList,
			outList: state => state.cloth.outList,
			bagList: state => state.cloth.bagList,
			shoeList: state => state.cloth.shoeList,
			season: state => state.cloth.season,
			wxType: state => state.cloth.wxType,
			clothTabs: state => state.cloth.clothTabs,

			huTime: state => state.tuna.huTime,
			xiTime: state => state.tuna.xiTime,
			holdTime: state => state.tuna.holdTime,
			duringTime: state => state.tuna.duringTime,
			naMute: state => state.tuna.naMute,
			naVirbate: state => state.tuna.naVirbate,
		}),
		getBtnStyle() {
			let style = 'background:' + this.tempColor + ';color:#ffffff;';
			style += "box-shadow: 0px " + uni.upx2px(8) + "px " + uni.upx2px(32) + "px -" + uni.upx2px(8) +
				"px rgba(" + this.tempColorRgb.r + ", " + this.tempColorRgb.g + ", " + this.tempColorRgb.b +
				", 0.3);";
			return style;
		},
		getBtnDisStyle() {
			let style = 'background:#F0F1F5;color:#AEB2C1;';
			return style;
		},
		getTagStyle() {
			let style = "background:rgba(" + this.tempColorRgb.r + ", " + this.tempColorRgb.g + ", " + this
				.tempColorRgb.b + ", 0.08);";
			style += 'color:' + this.tempColor + ';';
			return style;
		},
		getBtnPlanStyle() {
			let style = 'border: 1px solid ' + this.tempColor + ';';
			style += 'color:' + this.tempColor + ';';
			return style;
		},
	},
	methods: {
		modal(title, content, showCancel, callback, confirmColor, confirmText) {
			uni.showModal({
				title: '提示',
				content: content,
				showCancel: showCancel,
				cancelColor: "#555",
				confirmColor: confirmColor || "#FF3D3D",
				confirmText: confirmText || "确定",
				success(res) {
					if (res.confirm) {
						callback && callback(true)
					} else {
						callback && callback(false)
					}
				}
			})
		},
		isVip() { //验证是否VIP
			if (this.memberToken === null) return false;
			if (this.memberInfo == null) return false;
			if (this.memberInfo && this.memberInfo.privilege_level == 0) return false;
			return true;
		},
		showVip() { //验证是否可以展示vip内容
			if (this.memberToken === null) return false;
			if (this.memberInfo == null) return false;
			if (this.memberInfo && this.memberInfo.privilege_level == 0) return false;
			if (this.memberInfo.has_file == 0) return false;
			return true;
		},
		getVipLevel() {
			if (this.memberToken === null) return 0;
			if (this.memberInfo == null) return 0;
			if (this.memberInfo && this.memberInfo.privilege_level == 0) return 0;
			return this.memberInfo.privilege_level;
		},
		isAndroid() {
			const res = uni.getSystemInfoSync();
			return res.platform.toLocaleLowerCase() == "android"
		},
		isNight() {
			const date = new Date();
			const hours = date.getHours();
			if (hours >= 20 || hours < 8) {
				return true;
			}
			return false;
		},
		curTimeMinute() {
			const date = new Date();
			const hours = date.getHours();
			const minute = date.getMinutes();
			return parseInt(hours) * 60 + minute;
		},
		calTimeMinute(time) {
			if (!time || time.length == 0) {
				return0;
			}
			let arr = time.split(':');
			return parseInt(arr[0]) * 60 + parseInt(arr[1]);
		},
		toast(text, duration, success) {
			uni.showToast({
				title: text || "出错啦~",
				icon: success ? 'success' : 'none',
				duration: duration || 2000
			})
		},
		vibrateTap() {
			if (uni.getSystemInfoSync().platform == "ios") {
				let UIImpactFeedbackGenerator = plus.ios.importClass('UIImpactFeedbackGenerator');
				let impact = new UIImpactFeedbackGenerator();
				impact.prepare();
				impact.init(1);
				impact.impactOccurred();
			}
			if (uni.getSystemInfoSync().platform == "android") {
				uni.vibrateShort({
					success: () => {
						console.log('点击震动');
					}
				});
			}
		},
		showLoad(text) {
			uni.showLoading({
				title: text,
				mask: true
			})
		},
		openServise(url) {
			let sweixin = null
			plus.share.getServices(res => {
				sweixin = res.find(i => i.id === 'weixin')
				if (sweixin) {
					sweixin.openCustomerServiceChat({
						corpid: 'wwb27df3633f374323',
						url: url,
					}, suc => {
						console.log("success", JSON.stringify(res))
					}, err => {
						console.log("error", JSON.stringify(err))
					})
				} else {
					plus.nativeUI.alert('当前环境不支持微信操作!')
				}
			}, function() {
				uni.showToast({
					title: "获取服务失败，不支持该操作。" + JSON.stringify(e),
					icon: 'error'
				})
			})
		},
		hideLoad() {
			uni.hideLoading()
		},
		isPhoneX() {
			const res = uni.getSystemInfoSync();
			let iphonex = false;
			let models = ['iphonex', 'iphonexr', 'iphonexsmax', 'iphone11', 'iphone11pro', 'iphone11promax']
			const model = res.model.replace(/\s/g, "").toLowerCase()
			if (models.includes(model)) {
				iphonex = true;
			}
			return iphonex;
		},
		checkLogin() { //验证是否登录
			if (this.memberToken === null) return false;
			if (this.memberInfo == null) return false;
			return true;
		},
		doLogin() {
			if (this.preLogin) {
				this.$http.quickPhoneLogin();
			} else {
				uni.navigateTo({
					url: '/pages/otherLogin/otherLogin',
				})
			}
		},
		getVipTime() {
			if (this.memberInfo && this.memberInfo.privilege_level > 0) {
				if (this.memberInfo.privilege_level == 3) {
					return '家庭版终身卡'
				} else if (this.memberInfo.privilege_level == 2) {
					return '终身会员卡'
				} else {
					var time = new Date(this.memberInfo.privilege_time * 1000);
					var y = time.getFullYear();
					var m = time.getMonth() + 1;
					var d = time.getDate();
					if (this.memberInfo.privilege_level == 1) {
						return y + '-' + m + '-' + d + '到期';
					} else {
						return '';
					}
				}
			}
			return '';
		},
		hrefTab(item) {
			console.log('hrefTab', item)
			if (!this.checkLogin()) {
				this.doLogin()
			} else {
				if (this.getVipLevel() < item.enter_level) {
					uni.navigateTo({
						url: '/pages/vipTell/vipTell?index=' + item.vip_index
					})
					return;
				}
				if (item.type == 0) {
					let page = '';
					if (item.web_type == 1) {
						//普通web,不带标题栏
						page = '/pages/webs/webs?url=';
					} else if (item.web_type == 2) {
						//带标题栏,带拦截
						page = '/pages/webx/webx?url=';
					} else {
						//普通web,带标题栏
						page = '/pages/web/web?url=';
					}
					if (item.auth == 1) {
						uni.navigateTo({
							url: page + encodeURIComponent(item.url + '&token=' + this
								.memberToken)
						})
					} else {
						uni.navigateTo({
							url: page + encodeURIComponent(item.url)
						})
					}
				} else if (item.type == 1) {
					uni.navigateTo({
						url: item.url
					})
				} else if (item.type == 2) {
					plus.runtime.openURL(item.url);
				}
			}
		},
	},
}